%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  MedZIsc
%global packver   0.0.4
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.0.4
Release:          1%{?dist}%{?buildtag}
Summary:          Statistical Framework for Co-Mediators of Zero-Inflated Single-Cell Data

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0
BuildArch:        noarch
BuildRequires:    R-CRAN-MASS 
BuildRequires:    R-CRAN-betareg 
BuildRequires:    R-CRAN-glmnet 
Requires:         R-CRAN-MASS 
Requires:         R-CRAN-betareg 
Requires:         R-CRAN-glmnet 

%description
A causal mediation framework for single-cell data that incorporates two
key features ('MedZIsc', pronounced Magics): (1) zero-inflation using beta
regression and (2) overdispersed expression counts using negative binomial
regression. This approach also includes a screening step based on
penalized and marginal models to handle high-dimensionality. Full
methodological details are available in our recent preprint by Ahn S and
Li Z (2025) <doi:10.48550/arXiv.2505.22986>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
